stages:
  - compile_ardrone2
  - compile_ardrone2_installer
  - compile_ardrone2_updater

compile_ardrone2:
  image: registry.gitlab.utc.fr/uav-hds/robomap3-toolchain-docker-ci:armv7a-neon
  stage: compile_ardrone2
  tags:
    - docker
    - linux
  script:
    - source /opt/robomap3/2.1.3/armv7a-neon/environment-setup-armv7a-neon-poky-linux-gnueabi
    - unset LDFLAGS
    - make ardrone2_defconfig
    - make modules zImage

compile_ardrone2_installer:
  image: registry.gitlab.utc.fr/uav-hds/robomap3-toolchain-docker-ci:armv7a-neon
  stage: compile_ardrone2_installer
  tags:
    - docker
    - linux
  script:
    - source /opt/robomap3/2.1.3/armv7a-neon/environment-setup-armv7a-neon-poky-linux-gnueabi
    - unset LDFLAGS
    - make ardrone2_installer_defconfig
    - make zImage

compile_ardrone2_updater:
  image: registry.gitlab.utc.fr/uav-hds/robomap3-toolchain-docker-ci:armv7a-neon
  stage: compile_ardrone2_updater
  tags:
    - docker
    - linux
  script:
    - source /opt/robomap3/2.1.3/armv7a-neon/environment-setup-armv7a-neon-poky-linux-gnueabi
    - unset LDFLAGS
    - make ardrone2_updater_defconfig
    - make zImage